package net.customware.license.atlassian;

import de.schlichtherle.license.LicenseContent;
import net.customware.license.support.ValidatingLicenseManager;

public class AtlassianLicenseManager extends ValidatingLicenseManager {
    public AtlassianLicenseManager() {
        super();
    }

    public AtlassianLicenseManager(ClassLoader classLoader) {
        super(classLoader);
    }

    public AtlassianLicenseManager(AtlassianLicenseParam licenseParam, ClassLoader classLoader) {
        super(licenseParam, classLoader);
    }

    public AtlassianLicenseManager(AtlassianLicenseParam licenseParam) {
        super(licenseParam);
    }

    protected AtlassianLicenseParam getAtlassianLicenseParam() {
        return (AtlassianLicenseParam) getLicenseParam();
    }

    public final synchronized LicenseContent install(byte[] byteStream) throws Exception {
        return install(byteStream, getLicenseNotary());
    }
}
