package net.customware.license.atlassian;

import com.atlassian.license.License;
import com.atlassian.license.LicenseManager;

public class DefaultLicenseContext implements LicenseContext {
    private String applicationRegistryKey;

    public DefaultLicenseContext( String applicationRegistryKey ) {
        this.applicationRegistryKey = applicationRegistryKey;
    }

    public License getLicense() {
        return LicenseManager.getInstance().getLicense( applicationRegistryKey );
    }

    public String getApplicationRegistryKey() {
        return applicationRegistryKey;
    }

    public void setApplicationRegistryKey( String applicationRegistryKey ) {
        this.applicationRegistryKey = applicationRegistryKey;
    }

}
