package net.customware.license.atlassian.ao.manager;

import com.atlassian.activeobjects.tx.Transactional;
import net.customware.license.atlassian.ao.bean.License;

@Transactional
public interface LicenseManager {
    public License installLicense(String license);

    public License installLicense(String refId, String license);

    public License getLicense();

    public License getLicense(String refId);

    public void uninstallLicense();

    public void uninstallLicense(String refId);
}
