package net.customware.license.atlassian.ao.bean;

import net.java.ao.Entity;
import net.java.ao.Preload;
import net.java.ao.schema.Indexed;
import net.java.ao.schema.StringLength;

@Preload({
        "CONTENT",
        "REF_ID"
})
public interface License extends Entity {

    @Indexed
    public String getRefId();

    @Indexed
    public void setRefId(String refId);

    @StringLength(StringLength.UNLIMITED)
    public String getContent();

    @StringLength(StringLength.UNLIMITED)
    public void setContent(String content);

}
